/**
 * @author: xiuwei
 * @version:
 */

import org.joda.time.DateTime;
import wei.yigulu.iec104.annotation.AsduType;
import wei.yigulu.iec104.apdumodel.Apdu;
import wei.yigulu.iec104.apdumodel.Asdu;
import wei.yigulu.iec104.asdudataframe.ProofreadTimeType;
import wei.yigulu.iec104.asdudataframe.TotalSummonType;
import wei.yigulu.iec104.asdudataframe.typemodel.IeProofreadTime;
import wei.yigulu.iec104.asdudataframe.typemodel.InformationBodyAddress;
import wei.yigulu.iec104.util.SendDataFrameHelper;
import wei.yigulu.utils.DataConvertor;

import java.util.HashMap;
import java.util.Map;

@AsduType
public class TestTotalS extends TotalSummonType {

    @Override
    public byte[][] handleAndAnswer(Apdu apdu) throws Exception {
		Map<Integer,Number> booleans=new HashMap<>();
		for(int i =0 ;i<100;i++){
			booleans.put(16385+i,0.2);
		}
		SendDataFrameHelper.sendYcDataFrame(apdu.getChannel(),booleans,1,20,null);
		return null;



    }

}
